uniform vec4 amount;

// define our rectangular texture samplers 
uniform sampler2D mask;
uniform sampler2D masked;

// define our varying texture coordinates 
varying vec2 texcoord0;
varying vec2 texcoord1;

void main(void) 
{ 		
	vec4 mask = texture2D(mask, texcoord0);
	vec4 masked = texture2D(masked, texcoord1);	
	
	gl_FragColor = vec4(masked.rgb, mask);
}

